Package org.apache.sling.testing.mock.osgi.testsvc.osgiserviceutil.activatedeactivate

# Class Service1Constructor

java.lang.Object
org.apache.sling.testing.mock.osgi.testsvc.osgiserviceutil.activatedeactivate.Service1Constructor

public class Service1Constructor extends Object

## Constructor Summary

Constructors
Constructor
Description
`Service1Constructor(org.osgi.service.component.ComponentContext ctx)`

## Method Summary

Modifier and Type
Method
Description
`org.osgi.service.component.ComponentContext`
`getComponentContext()`
`boolean`
`isActivated()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Service1Constructor

public Service1Constructor(org.osgi.service.component.ComponentContext ctx)

## Method Details

### isActivated

public boolean isActivated()

### getComponentContext

public org.osgi.service.component.ComponentContext getComponentContext()